server {
    server_name _;
    listen 80 default_server;
    listen [::]:80 default_server;

    # Proxy API requests to the server
    location ^~ /api/ {
        include /etc/nginx/conf.d/proxy_headers.conf;
        proxy_pass http://wanderhome:5000;
    }

    # Proxy to the main app for all other requests
    location / {
        include  /etc/nginx/mime.types;
        alias /usr/share/nginx/html/;
    }
}